/**
 * Event arguments for the
 * editModeExited event.
*/
export class IgcSpreadsheetEditModeExitedEventArgs {
    /**
     * @hidden
     */
    get i() {
        return this._implementation;
    }
    onImplementationCreated() {
    }
    constructor() {
    }
    _provideImplementation(i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    /**
     * Returns the cell for which the control has exitied edit mode.
    */
    get cell() {
        return this.i.cell;
    }
}
